Subject: [ippm] TWAMP Service Monitoring Extension

From: Srivathsa Sarangapani <[email-masked]>
Date: Tue, 28 Jun 2016 02:04:50 +0000

Hi All,

New versions of the TWAMP Service Monitoring extension drafts are being posted after addressing the comments given by Al, Greg, Nalini, Qin and others in the last IETF meeting.
We request you all to please go through the documents and reply back with your comments/suggestions.
The documents are in the below path:

Name:         draft-spv-ippm-monitor-methodology-services-kpi
Revision: 01
Title:        Monitoring Service KPIs using TWAMP - Methodology
URL:            https://www.ietf.org/internet-drafts/draft-spv-ippm-monitor-methodology-services-kpi-01.txt
Status:         https://datatracker.ietf.org/doc/draft-spv-ippm-monitor-methodology-services-kpi/
Htmlized:       https://tools.ietf.org/html/draft-spv-ippm-monitor-methodology-services-kpi-01
Diff:           https://www.ietf.org/rfcdiff?url2=draft-spv-ippm-monitor-methodology-services-kpi-01

Name:         draft-spv-ippm-monitor-implementation-services-kpi
Revision: 01
Title:        Monitoring Service KPIs using TWAMP - Implementation
URL:            https://www.ietf.org/internet-drafts/draft-spv-ippm-monitor-implementation-services-kpi-01.txt
Status:         https://datatracker.ietf.org/doc/draft-spv-ippm-monitor-implementation-services-kpi/
Htmlized:       https://tools.ietf.org/html/draft-spv-ippm-monitor-implementation-services-kpi-01
Diff:           https://www.ietf.org/rfcdiff?url2=draft-spv-ippm-monitor-implementation-services-kpi-01

—
Regards,
Vathsa

---

From: Qin Wu <[email-masked]>
Date: Tue, 28 Jun 2016 07:15:32 +0000

Hi,Sri:

Thanks for your update to these two drafts, I have read these two drafts and feel the mechanisms proposed in this draft and the metrics defined in this draft are very useful in

Network optimization and can also help us provide better network planning and dimension. The most important is this draft provide value added service

Performance monitoring which complementary to network performance monitoring and can help us measure end to end network performance and provide better network visibility.

Here are few comments/suggestion to first document: draft-spv-ippm-monitor-methodology-services-kpi-01

1.If I read correctly, these two drafts below, one is about TWAMP extension for Service KPIs Monitoring, the other is about Metric Definition for Service KPIs Monitoring. In the first draft, a new framework is proposed for service KPIs monitoring, which adopts the similar logical model for TWAMP. I would suggest the title of draft-spv-ippm-monitor-methodology-services-kpi-01 can be rephrased a little bit to reflect the difference as I mentioned above.

2.I think this draft more focuses on TWAMP protocol extension for service KPIs monitoring while draft-spv-ippm-monitor-implementation-services-kpi-01 focus on metric definition, the methodology should be part of the draft-spv-ippm-monitor-implementation-services-kpi-01, here is the proposed change to the abstract

“

Monitoring of Service KPIs in the

   service plane with in a network play a vital role in

   network optimization and Network planning and dimension.

In this document, we are introducing a new method to calculate services KPIs and

   Performance metrics in the network using TWAMP protocol.  Services here is ranging

   from Layer 4 to Layer 7 services.  Some of the examples are HTTP

   based services, Traffic load balancer, DPI, Video caching, real time

   streaming and IPSec.  The KPIs MAY be service latency, liveliness of

   an application, number of flows and sessions per service, load

   balancer statistics.

   This draft proposes a TWAMP protocol extension for service level parameters monitoring in the

real network. These service level parameters can    be used to calculate service KPIs using

Metric proposed in draft-spv-ippm-monitor-implementation-services-kpi. Some of

   the existing fields in the TWAMP protocol is extended to support new modes in the TWAMP

   protocol for calculating these KPIs. A set of new messages are added in

   the control protocol between TWAMP client (session sender) and the

   TWAMP server (session reflector).

”

3.Introduction section, paragraph 3:

Do you require DPI, SFW, CGNAT support TWAMP protocol or TWAMP test message exchange? What role DPI play in the logical model? TWAMP server or session reflector?

4.Section 2, last paragraph:

OLD TEXT

“

The actual method to calculate the KPIs is discussed in a separate

   draft on implementation

”

NEW TEXT:

“

The actual method to calculate the KPIs is discussed in a separate

   Draft [I.D-spv-ippm-monitor-implementation-services-kpi]

”

5.Section 3, 3rd paragraph:

I believe the service messages KPI-Monitor-IND and KPI-Monitor-ACK are exchanged between

Session Sender and Session Reflector instead of between Control-Client and Session reflector

unless you require Control-Client is collocated with Session Sender and TWAMP Server is

collocated with Session Reflector?

6.Section, 3 rd paragraph, last sentence

It is not clear which two sets of messages you are referred to, suggest the following change

OLD TEXT

“

These two sets of

   messages will be repeated for each of the services that Server can

   monitor.

”

NEW TEXT

“

This pair of two messages will be repeated for each of the services that Server can

   monitor.

”

7. section 7

s/ anthenticated/ authenticated

Here are a few comments on the second draft-spv-ippm-monitor-implementation-services-kpi

1.Suggest a few change to the 1st paragraph of the abstract

OLD TEXT:

“

We are using a new method to calculate services KPIs and metrics in

   the network using TWAMP protocol.  This draft outlines the

   implementation of the service KPIs and there use cases in the service

   plane in the network.  The KPIs discussed in this draft include

   Service Latency and Application Liveliness detection.

”

NEW TEXT:

“

We are using a new method to calculate services KPIs and performance metrics in

   the network using TWAMP protocol.  This draft Defines the service KPIs Metrics and outlines use cases in the service

   plane for these metrics in the network.  The KPIs discussed in this draft include

   Service Latency and Application Liveliness detection.

”

2.Section 1, 1st paragraph

Does this draft require update RFC5357 since it update existing TWAMP-TEST packet format?

3.Section 2.2

OLD TEXT:

“

Metric Description: This indicates the total latency introduced by

   the service for a data packet which is undergoing that service.

   Please note that the latency calculation in service agnostic.

”

NEW TEXT:

“

Metric Description: This indicates the total latency introduced by

   the service for a data packet which is undergoing specific treatment offered by that service node in the path.

   Please note that the latency calculation in service agnostic.

”

4.Section 5.

s/ anthenticated/authenticated

-Qin
发件人: ippm [mailto:[email-masked]] 代表 Srivathsa Sarangapani
发送时间: 2016年6月28日 10:05
收件人: IETF IPPM WG
抄送: Peyush Gupta
主题: [ippm] TWAMP Service Monitoring Extension

Hi All,

—
Regards,
Vathsa

---

From: Srivathsa Sarangapani <[email-masked]>
Date: Wed, 29 Jun 2016 03:09:14 +0000

Hi Qin,

Thanks a lot for your comments.
Please see my answers inline tagged with VAT:

—
Regards,
Vathsa

From: Qin Wu <[email-masked]>
Date: Tuesday, June 28, 2016 at 12:45 PM
To: Srivathsa Sarangapani <[email-masked]>, IETF IPPM WG <[email-masked]>
Cc: Peyush Gupta <[email-masked]>
Subject: RE: TWAMP Service Monitoring Extension

Hi,Sri:

VAT>>>>Does this sound better :

draft-spv-ippm-monitor-methodology-services-kpi-01 : draft-spv-ippm-services-kpi-monitor-methodology-01

& draft-spv-ippm-monitor-implementation-services-kpi-01 : draft-spv-ippm-services-kpi-metric-defination-01

“

   balancer statistics.

”

VAT>>>Will be taken care during the next revision.

VAT>>>All these are services. So the metrics defined in the implementation draft can be used to calculate the KPIs for all these services. If this is not clear, we can possibly rewrite this section.

OLD TEXT

“

   draft on implementation

”

NEW TEXT:

“

”

VAT>>>I was not able to refer the xml format of the other draft and hence could not provide a reference to the other document.

Can you please help me on how to provide the reference here for other draft?

VAT>>>No. All the control messages are exchanged between Control-Client and Server only.

OLD TEXT

“

These two sets of

   monitor.

”

NEW TEXT

“

   monitor.

”

VAT>>>Will be taken care during the next revision.

7. section 7

VAT>>>Will be taken care during the next revision.

OLD TEXT:

“

”

NEW TEXT:

“

”

VAT>>>Will be taken care during the next revision.

VAT>>>We are just adding more fields to TWAMP-TEST packet format and it is completely backward compatible. So no changes is required for the RFC5357.

3.Section 2.2

OLD TEXT:

“

”

NEW TEXT:

“

”

VAT>>>Will be taken care during the next revision.

4.Section 5.

VAT>>>Will be taken care during the next revision.

-Qin

Hi All,

—
Regards,
Vathsa

---

From: Qin Wu <[email-masked]>
Date: Wed, 29 Jun 2016 03:32:57 +0000

Thanks for taking my comments into account. A few reply inline below.

-Qin
发件人: Srivathsa Sarangapani [mailto:[email-masked]]
发送时间: 2016年6月29日 11:09
收件人: Qin Wu; IETF IPPM WG
抄送: Peyush Gupta; [email-masked]
主题: Re: TWAMP Service Monitoring Extension

Hi Qin,

—
Regards,
Vathsa

From: Qin Wu <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, June 28, 2016 at 12:45 PM
To: Srivathsa Sarangapani <[email-masked]<mailto:[email-masked]>>, IETF IPPM WG <[email-masked]<mailto:[email-masked]>>
Cc: Peyush Gupta <[email-masked]<mailto:[email-masked]>>
Subject: RE: TWAMP Service Monitoring Extension

Hi,Sri:

      [Qin]: Sounds good. It will be better you add “TWAMP” into the draft name of the first draft since I believe the first draft aims at TWAMP protocol extension.

“

   balancer statistics.

”

OLD TEXT

“

   draft on implementation

”

NEW TEXT:

“

”

      [Qin]: If you are using RFC template word version to create internet draft, I think what you can do is to change [I.D-spv-ippm-monitor-implementation-services-kpi]

     Into a short name, such as [SERVICE-METRIC]. Then in the reference section, you can link this shortname to any document you want to reference to.

      [Qin]: So in the logical model proposed by draft-spv-ippm-monitor-methodology-services-kpi-01, the session Sender and Session reflector are not required.

OLD TEXT

“

These two sets of

   monitor.

”

NEW TEXT

“

   monitor.

”

7. section 7

OLD TEXT:

“

”

NEW TEXT:

“

”

      [Qin]: Good.

3.Section 2.2

OLD TEXT:

“

”

NEW TEXT:

“

”

4.Section 5.

-Qin

Hi All,

—
Regards,
Vathsa

---

From: Srivathsa Sarangapani <[email-masked]>
Date: Wed, 29 Jun 2016 04:23:49 +0000

Hi Qin,

Thanks for the reply. Some reply inline :
Still not clear on how to refer a draft in another draft. So need help on this.

—
Regards,
Vathsa

From: Qin Wu <[email-masked]>
Date: Wednesday, June 29, 2016 at 9:02 AM
To: Srivathsa Sarangapani <[email-masked]>, IETF IPPM WG <[email-masked]>
Cc: Peyush Gupta <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: TWAMP Service Monitoring Extension

-Qin

Hi Qin,

—
Regards,
Vathsa

Hi,Sri:

      VAT>>>Ok. Will be taken care.

“

   balancer statistics.

”

OLD TEXT

“

   draft on implementation

”

NEW TEXT:

“

”

      VAT>>>I am editing the xml format in vim editor. The problem I am facing is that I am not able to get the xml reference of the other draft. How to get that?

      VAT>>>Yes. Will be taken care in next revision.

OLD TEXT

“

These two sets of

   monitor.

”

NEW TEXT

“

   monitor.

”

7. section 7

OLD TEXT:

“

”

NEW TEXT:

“

”

      [Qin]: Good.

3.Section 2.2

OLD TEXT:

“

”

NEW TEXT:

“

”

4.Section 5.

-Qin

Hi All,

—
Regards,
Vathsa

---

From: Qin Wu <[email-masked]>
Date: Wed, 29 Jun 2016 04:48:16 +0000

If you are using XML editor to create your internet draft
Here is an example to refer a draft in another draft:
<?rfc include="reference.I.D-spv-ippm-monitor-implementation-services-kpi.xml"?>
You should put it in the references section of your draft.

-Qin
发送时间: 2016年6月29日 12:24

Hi Qin,

—
Regards,
Vathsa

Cc: Peyush Gupta <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

-Qin
发件人: Srivathsa Sarangapani [mailto:[email-masked]]
发送时间: 2016年6月29日 11:09
收件人: Qin Wu; IETF IPPM WG
抄送: Peyush Gupta; [email-masked]<mailto:[email-masked]>
主题: Re: TWAMP Service Monitoring Extension

Hi Qin,

—
Regards,
Vathsa

Hi,Sri:

“

   balancer statistics.

”

OLD TEXT

“

   draft on implementation

”

NEW TEXT:

“

”

OLD TEXT

“

These two sets of

   monitor.

”

NEW TEXT

“

   monitor.

”

7. section 7

OLD TEXT:

“

”

NEW TEXT:

“

”

      [Qin]: Good.

3.Section 2.2

OLD TEXT:

“

”

NEW TEXT:

“

”

4.Section 5.

-Qin

Hi All,

—
Regards,
Vathsa